commit:     b9746174d6ffab9e3de8eb2c1357634bd20b42a4
Author:     Ferenc Erki <erkiferenc <AT> gmail <DOT> com>
AuthorDate: Thu Jun 22 17:29:56 2023 +0000
Commit:     Ferenc Erki <erkiferenc <AT> gmail <DOT> com>
CommitDate: Thu Jun 22 17:29:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b9746174

app-text/vale: new package, add 2.27.0

Signed-off-by: Ferenc Erki <erkiferenc <AT> gmail.com>

 app-text/vale/Manifest           |  2 ++
 app-text/vale/metadata.xml       | 11 ++++++++++
 app-text/vale/vale-2.27.0.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 58 insertions(+)

diff --git a/app-text/vale/Manifest b/app-text/vale/Manifest
new file mode 100644
index 000000000..4195ec65e
--- /dev/null
+++ b/app-text/vale/Manifest
@@ -0,0 +1,2 @@
+DIST vale-2.27.0-gentoo-deps.tar.xz 137327640 BLAKE2B 
384bc73f222b7abddaa77329411ab9f8fcf5712a031d0f3e793239c2d21bda5dfc6ab9e3e920a3d302cdd1fb82ab909c5824929e4884471a4f213cd15a9817dc
 SHA512 
d5ba4f77154f1e8ab5b017bcdcf1965797d3e4f8289d8446cb795ae1d6871189d149de02e258195fc6c2a144acb3e3e18d0edda8e878ba71bd8079724876261e
+DIST vale-2.27.0.tar.gz 9654797 BLAKE2B 
9c601a4e7bc877a8a2706d5a3e6374921abb59e71dee46ad30921d687aef7c13de83a936ac6da0a7267c0eaa1102c23024cf7ac37141dee778675cb399b28429
 SHA512 
759552fd0a794accf9de74d87e3bc3c31aa0d6ea99a9a60bf884112398a719321cd1596d0573111d19c28a6eea3aea3ff28e7f919117f0b6f31cec31c177de37

diff --git a/app-text/vale/metadata.xml b/app-text/vale/metadata.xml
new file mode 100644
index 000000000..794aefbe4
--- /dev/null
+++ b/app-text/vale/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Ferenc Erki</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">errata-ai/vale</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/app-text/vale/vale-2.27.0.ebuild b/app-text/vale/vale-2.27.0.ebuild
new file mode 100644
index 000000000..a328c323e
--- /dev/null
+++ b/app-text/vale/vale-2.27.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module optfeature
+
+DESCRIPTION="A syntax-aware linter for prose built with speed and 
extensibility in mind"
+HOMEPAGE="https://vale.sh/docs/";
+
+SRC_URI="
+       https://github.com/errata-ai/vale/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       
https://github.com/ferki/${PN}/releases/download/v${PV}-gentoo-deps/${P}-gentoo-deps.tar.xz
+"
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# tests require:
+# - various ruby gems: see testdata/Gemfile
+# - packaged optional runtime dependencies: asciidoctor, rst2html, xsltproc
+# - unpackaged optional runtime dependency: dita (may be removed in a patch)
+# - network access: sync subcommand tests (may be removed in a patch)
+RESTRICT="test"
+
+src_prepare() {
+       sed -i "s/\$(LAST_TAG)/v${PV}/" Makefile || die 'sed failed'
+       default
+}
+
+src_compile() {
+       emake build os=linux
+}
+
+src_install() {
+       dobin bin/vale
+       default_src_install
+}
+
+pkg_postinst() {
+       optfeature "AsciiDoc support" dev-ruby/asciidoctor
+       optfeature "reStructuredText support" dev-python/docutils
+       optfeature "XML support" dev-libs/libxslt
+}

Reply via email to